Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.util
Class Debug

    java.lang.Object
      com.vividsolutions.jts.util.Debug

    public class Debug

extends java.lang.Object

Provides routines to simplify and localize debugging output. Debugging is controlled via a Java system property value. If the system property with the name given in DEBUG_PROPERTY_NAME (currently "jts.debug") has the value "on" or "true" debugging is enabled. Otherwise, debugging is disabled. The system property can be set by adding an option '-Djts.debug=on' to the Java VM commandline.

Version:
  1.7

Field Summary
`static java.lang.String` | `DEBUG_PROPERTY_NAME`
`static java.lang.String` | `DEBUG_PROPERTY_VALUE_ON`
`static java.lang.String` | `DEBUG_PROPERTY_VALUE_TRUE`

Method Summary
`static void` | `addWatch(java.lang.Object obj)` Adds an object to be watched.
`static void` | `breakIf(boolean cond)`
`static void` | `breakIfEqual(Coordinate p0, Coordinate p1, double tolerance)`
`static void` | `breakIfEqual(java.lang.Object o1, java.lang.Object o2)`
`static boolean` | `equals(Coordinate c1, Coordinate c2, double tolerance)`
`static boolean` | `hasSegment(Geometry geom, Coordinate p0, Coordinate p1)`
`void` | `instancePrint(java.util.Iterator it)`
`void` | `instancePrint(java.lang.Object obj)`
`void` | `instancePrintIfWatch(java.lang.Object obj)`
`void` | `instancePrintObject(java.lang.Object obj)`
`void` | `instancePrintWatch()`
`static boolean` | `isDebugging()`
`static void` | `main(java.lang.String[] args)` Prints the status of debugging to `System.out`
`static void` | `print(boolean isTrue, java.lang.Object obj)`
`static void` | `print(java.lang.Object obj)`
`static void` | `print(java.lang.String str)`
`static void` | `printIfWatch(java.lang.Object obj)`
`void` | `println()`
`static void` | `println(java.lang.Object obj)`
`static void` | `printWatch()`
`static LineString` | `toLine(Coordinate p0, Coordinate p1)`
`static LineString` | `toLine(Coordinate p0, Coordinate p1, Coordinate p2)`
`static LineString` | `toLine(Coordinate p0, Coordinate p1, Coordinate p2, Coordinate p3)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG_PROPERTY_NAME

    public static java.lang.String DEBUG_PROPERTY_NAME

### DEBUG_PROPERTY_VALUE_ON

    public static java.lang.String DEBUG_PROPERTY_VALUE_ON

### DEBUG_PROPERTY_VALUE_TRUE

    public static java.lang.String DEBUG_PROPERTY_VALUE_TRUE

Method Detail

### main

    public static void main(java.lang.String[] args)

  Prints the status of debugging to `System.out`

  Parameters:
    `args` - the cmd-line arguments (no arguments are required)

### isDebugging

    public static boolean isDebugging()

### toLine

    public static LineString toLine(Coordinate p0,
                                    Coordinate p1)

### toLine

    public static LineString toLine(Coordinate p0,
                                    Coordinate p1,
                                    Coordinate p2)

### toLine

    public static LineString toLine(Coordinate p0,
                                    Coordinate p1,
                                    Coordinate p2,
                                    Coordinate p3)

### print

    public static void print(java.lang.String str)

### print

    public static void print(java.lang.Object obj)

### print

    public static void print(boolean isTrue,
                             java.lang.Object obj)

### println

    public static void println(java.lang.Object obj)

### equals

    public static boolean equals(Coordinate c1,
                                 Coordinate c2,
                                 double tolerance)

### addWatch

    public static void addWatch(java.lang.Object obj)

  Adds an object to be watched. A watched object can be printed out at any time. Currently only supports one watched object at a time.

  Parameters:
    `obj` -

### printWatch

    public static void printWatch()

### printIfWatch

    public static void printIfWatch(java.lang.Object obj)

### breakIf

    public static void breakIf(boolean cond)

### breakIfEqual

    public static void breakIfEqual(java.lang.Object o1,
                                    java.lang.Object o2)

### breakIfEqual

    public static void breakIfEqual(Coordinate p0,
                                    Coordinate p1,
                                    double tolerance)

### hasSegment

    public static boolean hasSegment(Geometry geom,
                                     Coordinate p0,
                                     Coordinate p1)

### instancePrintWatch

    public void instancePrintWatch()

### instancePrintIfWatch

    public void instancePrintIfWatch(java.lang.Object obj)

### instancePrint

    public void instancePrint(java.lang.Object obj)

### instancePrint

    public void instancePrint(java.util.Iterator it)

### instancePrintObject

    public void instancePrintObject(java.lang.Object obj)

### println

    public void println()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD